## silo 0.9.8

=== first/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ## Linux Loader for SPARC
 ##
 #
-VERSION=0.85
+VERSION=0.98
 
 CC=gcc
 LD=ld
@@ -27,35 +27,37 @@
 
 ifeq (Linux,$(shell uname))
 ifeq (sparc,$(subst sparc64,sparc,$(shell uname -m)))
-all: first.b first.h ultra.b ultra.h cd.b cd.h fd.b
+all: first.b first.h ultra.b ultra.h cd.b generic.b generic.h fd.b ieee32.b
 
 first.h: first
-	sed -n 's/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*digit_here.*$$/#define DIGIT_OFFSET_TMP 0x\2/p;s/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*letter_here.*$$/#define LETTER_OFFSET_TMP 0x\2/p' < first.map > first.h
+	sed -n 's/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*digit_here.*$$/#define DIGIT_OFFSET_TMP 0x\2/p' < first.map > first.h
+	sed -n 's/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*letter_here.*$$/#define LETTER_OFFSET_TMP 0x\2/p' < first.map >> first.h
+	sed -n 's/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*number_here.*$$/#define NUMBER_OFFSET_TMP 0x\2/p' < first.map >> first.h
 ultra.h: ultra
 	sed -n 's/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*letter_here.*$$/#define ULTRA_LETTER_OFFSET_TMP 0x\2/p' < ultra.map > ultra.h
-cd.h: cd
-	sed -n 's/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*digit_here.*$$/#define CD_DIGIT_OFFSET_TMP 0x\2/p;s/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*letter_here.*$$/#define CD_LETTER_OFFSET_TMP 0x\2/p' < cd.map > cd.h
+	sed -n 's/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*number_here.*$$/#define ULTRA_NUMBER_OFFSET_TMP 0x\2/p' < ultra.map >> ultra.h
+generic.h: generic
+	sed -n 's/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*digit_here.*$$/#define GENERIC_DIGIT_OFFSET_TMP 0x\2/p' < generic.map > generic.h
+	sed -n 's/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*letter_here.*$$/#define GENERIC_LETTER_OFFSET_TMP 0x\2/p' < generic.map >> generic.h
+	sed -n 's/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*number_here.*$$/#define GENERIC_NUMBER_OFFSET_TMP 0x\2/p' < generic.map >> generic.h
+fd.h: fd
+	sed -n 's/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*digit_here.*$$/#define FD_DIGIT_OFFSET_TMP 0x\2/p' < fd.map > fd.h
+	sed -n 's/^\(000000000000\|0000\)4\([0-9a-f][0-9a-f][0-9a-f]\) .*letter_here.*$$/#define FD_LETTER_OFFSET_TMP 0x\2/p' < fd.map >> fd.h
+ieee32.h: ieee32.b
+	objdump -h ieee32.b | awk ' $$2 ~ /\.text/ { sub(/^0*/,"",$$6); printf "#define IEEE32_OFFSET_TMP 0x%s\n", $$6 } ' > ieee32.h
 else
 all:
 	@echo First stage bootblock should be build under Linux/Sparc only
 
-first.h:
+first.h ultra.h generic.h fd.h ieee32.h:
 	@if [ ! -f first.h ]; then echo 'First do make under Linux/Sparc (and do not make clean until compiled on this platform)'; exit 1; fi
-ultra.h:
-	@if [ ! -f ultra.h ]; then echo 'First do make under Linux/Sparc (and do not make clean until compiled on this platform)'; exit 1; fi
-cd.h:
-	@if [ ! -f cd.h ]; then echo 'First do make under Linux/Sparc (and do not make clean until compiled on this platform)'; exit 1; fi
 endif
 else
 all:
 	@echo First stage bootblock should be build under Linux/Sparc only
 
-first.h:
+first.h ultra.h generic.h fd.h ieee32.h:
 	@if [ ! -f first.h ]; then echo 'First do make under Linux/Sparc (and do not make clean until compiled on this platform)'; exit 1; fi
-ultra.h:
-	@if [ ! -f ultra.h ]; then echo 'First do make under Linux/Sparc (and do not make clean until compiled on this platform)'; exit 1; fi
-cd.h:
-	@if [ ! -f cd.h ]; then echo 'First do make under Linux/Sparc (and do not make clean until compiled on this platform)'; exit 1; fi
 endif
 
 first.o: first.S
@@ -106,6 +108,23 @@
 	$(DD) if=/dev/zero of=cd.b bs=4 count=1 seek=255
 	ln -f cd.b ../boot/cd.b
 
+generic.o: generic.S
+	$(CC) $(CFLAGS) -E generic.S -o generic.s
+	$(AS) -Av9a -o generic.o generic.s
+	$(RM) generic.s
+
+generic: generic.o
+	$(LD) $(LDFLAGS) -o generic generic.o
+	$(NM) generic | grep -v '*ABS*' | sort > generic.map
+	$(STRIP) generic
+
+generic.b: generic
+	$(ELFTOAOUT) -o generic.b generic
+	echo -n 'SILO'$(VERSION) | $(DD) of=generic.b bs=8 conv=notrunc seek=3 count=1
+	echo -n -e '\340' | $(DD) of=generic.b bs=1 count=1 seek=7 conv=notrunc
+	$(DD) if=/dev/zero of=generic.b bs=4 count=1 seek=255
+	#ln -f generic.b ../boot/generic.b
+
 fd.o: fd.S
 	$(CC) $(CFLAGS) -E fd.S -o fd.s
 	$(AS) -Av9a -o fd.o fd.s
@@ -123,5 +142,17 @@
 	$(DD) if=/dev/zero of=fd.b bs=4 count=1 seek=255
 	ln -f fd.b ../boot/fd.b
 
+ieee32.o: ieee32.S
+	$(CC) $(CFLAGS) -DVERSION='"SILO$(VERSION)"' -c ieee32.S
+
+ieee32.b: ieee32.o
+	$(LD) $(LDFLAGS) -o ieee32.b ieee32.o
+	$(NM) ieee32.b | grep -v '*ABS*' | sort > ieee32.map
+	$(STRIP) ieee32.b
+	chmod 644 ieee32.b
+	ln -f ieee32.b ../boot/ieee32.b
+
 clean:
-	$(RM) *.o *~ first first.b first.map first.h ultra ultra.b ultra.s ultra.map ultra.h cd cd.b cd.s cd.map cd.h fd fd.b fd.s fd.map core
+	$(RM) *.o *~ first first.b first.map first.h ultra ultra.b ultra.s ultra.map ultra.h \
+	ieee32.b ieee32.map ieee32.h \
+	cd cd.b cd.s cd.map generic generic.b generic.s generic.map generic.h fd.h fd fd.b fd.s fd.map core
