=== second/Makefile ===
--- 
+++ 
@@ -3,12 +3,15 @@
 ##
 ##
 
+VERSION=0.98
 CC=gcc 
 LD=ld
 AS=as
 RM=/bin/rm -f
 NM=nm
 DD=dd
+AWK=awk
+LS=ls
 ELFTOAOUT=elftoaout
 STRIP=strip
 GZIP=gzip
@@ -18,7 +21,7 @@
 SED=sed
 CP=cp
 
-CFLAGS = -I../include -O2 -I. 
+CFLAGS = -I../include -O2 -I. -Wall
 
 # Relocate to 2.5MB. The Hitchhiker's Guide to Open Boot Rev 3 claims
 # that 3MB are guaranteed to be mapped.
@@ -38,8 +41,8 @@
 OBJS3 = console.o printf.o malloc.o jmp.o prom.o tree.o urem.o udiv.o stringops1.o
 OBJS4 = main.o
 OBJS4N = mainnet.o
-OBJS5 = cmdline.o disk.o file.o misc.o cfg.o strtol.o ranges.o timer.o memory.o ufs.o romfs.o divdi3.o \
-	mul.o rem.o sdiv.o umul.o stringops2.o
+OBJS5 = cmdline.o disk.o file.o misc.o cfg.o strtol.o ranges.o timer.o memory.o ufs.o romfs.o 9660.o divdi3.o \
+	mul.o rem.o sdiv.o umul.o stringops2.o ls.o muldi3.o
 OBJS = $(OBJS1) $(OBJS2) $(OBJS3) bmark.o $(OBJS4) $(OBJS5)
 OBJSNET = $(OBJS1) $(OBJS2N) $(OBJS3) bmark.o $(OBJS4N) $(OBJS5)
 
@@ -71,6 +74,7 @@
 	( $(ECHO) 'disassemble 0x280000 '`$(GREP) '_etext' second.map | $(SED) 's/ .*$$//' | $(SED) 's/^00/0x/'`; $(ECHO) quit ) | $(GDB) second | $(SED) '1,/^(gdb)/d;/^End /,$$d' > second.l
 
 main.o:        main.c silo.h
+ls.o:          ls.c silo.h
 malloc.o:      malloc.c silo.h
 printf.o:      printf.c silo.h
 cmdline.o:     cmdline.c silo.h
@@ -109,7 +113,7 @@
 	$(RM) $(OBJS) *.o second second2 second.b silotftp silotftp2 silotftp.b second.l *.map core *~ util second.b second.image.tmp *.s
 
 crt0.o:	crt0.S
-	$(CC) $(CFLAGS) -E -o crt0.s crt0.S
+	$(CC) $(CFLAGS) -E -o crt0.s -DVERSION='"SILO$(VERSION)"' crt0.S
 	$(AS) -Av9 -o crt0.o crt0.s
 	$(RM) crt0.s
 
@@ -137,6 +141,8 @@
 	$(ELFTOAOUT) -o second2.image.tmp second2.tmp
 	./util -z second.map second.image.tmp second2.image.tmp second.b second.b2
 	$(GZIP) -9cfn second.b2 >> second.b
+	$(DD) if=/dev/zero bs=1 count=`$(LS) -l second.b | $(AWK) '{len=$$5%512;if(len!=0)len=512-len;print len}'` >> second.b
+	$(LS) -l second.b | $(AWK) '{printf "%c%c%c%c",0,$$5/65536,($$5%65536)/256,0}' | $(DD) of=second.b bs=4 count=1 seek=581 conv=notrunc
 	$(RM) second.tmp second.image.tmp second2.tmp second2.image.tmp second.b2
 	ln -f second.b ../boot/second.b
