## silo 1.4.6-1

=== debian/changelog ===
silo (1.4.6-1) unstable; urgency=low

  * New upstream, partially fixes initrd issues.

 -- Ben Collins <bcollins@debian.org>  Sun, 20 Jun 2004 13:11:48 -0400

silo (1.4.5-1) unstable; urgency=low

  * New upstream fixes "illegal instruction" on some sparc64 hardware.
  * Fixed ext2fs for SELINUX: Closes: #232009
  * Added bzip2 build-dep. Closes: #239479

 -- Ben Collins <bcollins@debian.org>  Thu, 13 May 2004 09:58:53 -0400

silo (1.4.4-1) unstable; urgency=low

  * New upstream. Fixes sparc32 boots.

 -- Ben Collins <bcollins@debian.org>  Fri, 30 Jan 2004 15:18:24 -0500

silo (1.4.3-1) unstable; urgency=low

  * New upstream resolves one other problem with initrd.

 -- Ben Collins <bcollins@debian.org>  Thu, 29 Jan 2004 14:09:59 -0500

silo (1.4.2-1) unstable; urgency=low

  * Get the version right this time.

 -- Ben Collins <bcollins@debian.org>  Thu, 29 Jan 2004 13:34:01 -0500

silo (1.4.1-2) unstable; urgency=low

  * New upstream. Fixes initrd.

 -- Ben Collins <bcollins@debian.org>  Thu, 29 Jan 2004 13:31:04 -0500

silo (1.4.1-1) unstable; urgency=low

  * New upstream. Allows larger kernels to be loaded (kernels must be patched
    to support this).
  * Adds "partition-boot" config option, which is the same as -t.
    closes: #145267, #98314
  * Silo is no longer essential: closes: #214005

 -- Ben Collins <bcollins@debian.org>  Wed, 28 Jan 2004 12:24:28 -0500

silo (1.3.2-1) unstable; urgency=low

  * New upstream, fixes initrd boots with some larger kernels.

 -- Ben Collins <bcollins@debian.org>  Wed,  3 Dec 2003 21:13:53 -0500

silo (1.3.1-2) unstable; urgency=low

  * Force use of gcc-2.95 to fix some problems with illegal instruction.

 -- Ben Collins <bcollins@debian.org>  Mon, 29 Sep 2003 10:48:07 -0400

silo (1.3.1-1) unstable; urgency=low

  * New upstream.
  * Rename 1440 disk images.

 -- Ben Collins <bcollins@debian.org>  Fri,  8 Aug 2003 12:59:38 -0400

silo (1.3.0-1) unstable; urgency=low

  * New upstream, includes new isofs.b boot block for mkisofs.
  * Move everything to /boot. Provide upgrades and base installs. This will
    make it simpler for people to have a seperate /boot. Still need a way to
    migrate vmlinuz symlink being in /boot aswell.

 -- Ben Collins <bcollins@debian.org>  Thu,  3 Apr 2003 10:01:46 -0500

silo (1.2.6-1) unstable; urgency=low

  * New upstream. Adds support for UltraSPARC III+ (Cheetah+)

 -- Ben Collins <bcollins@debian.org>  Wed, 14 Aug 2002 21:56:14 -0400

silo (1.2.5-1) unstable; urgency=low

  * New upstream version. Fixes a first stage boot loader bug.

 -- Ben Collins <bcollins@debian.org>  Fri, 29 Mar 2002 13:36:49 -0500

silo (1.2.4-1) unstable; urgency=low

  * New upstream fixes TILO buglet.

 -- Ben Collins <bcollins@debian.org>  Tue, 13 Nov 2001 21:59:00 -0500

silo (1.2.3-1) unstable; urgency=low

  * New upstream, fixes tilo.

 -- Ben Collins <bcollins@debian.org>  Fri, 10 Aug 2001 00:32:23 -0400

silo (1.2.2-1) unstable; urgency=low

  * New upstream.

 -- Ben Collins <bcollins@debian.org>  Sat, 16 Jun 2001 11:11:45 -0400

silo (1.2.0-1) unstable; urgency=low

  * New upstream.

 -- Ben Collins <bcollins@debian.org>  Fri,  8 Jun 2001 12:56:59 -0400

silo (1.1.0-1) unstable; urgency=low

  * New upstream, adds support for tab completion on prom console, and
    also supports booting fujitsu sparc64 systems.
  * Added build-depends.
  * Changed priority from required to important, as per dinstall
    overrides.

 -- Ben Collins <bcollins@debian.org>  Mon, 28 May 2001 14:26:27 -0400

silo (1.0.1-1) unstable; urgency=low

  * New upstream.
  * Update silo1440k images.
  * Make siloconfig recognize a non-interactive install, and skip running.

 -- Ben Collins <bcollins@debian.org>  Mon, 28 May 2001 10:56:42 -0400

silo (1.0-1) unstable; urgency=high

  * Hey, I'm upstream maintainer now!
  * New upstream release. All patches merged.
  * Now includes tilo/maketilo. Replaces older sparc-utils

 -- Ben Collins <bcollins@debian.org>  Wed, 23 May 2001 12:30:05 -0400

silo (0.9.9.1-1) unstable; urgency=high

  * Provide the silo1440k base images for boot-floppies. This way, it
    doesn't have to be included on the root.bin, and we save about 100k
  * Urgency high, for boot-floppies

 -- Ben Collins <bcollins@debian.org>  Thu, 17 May 2001 20:22:15 -0400

silo (0.9.9.0-2) unstable; urgency=high

  * Call confcheck() after chroot()

 -- Ben Collins <bcollins@debian.org>  Thu, 17 May 2001 14:36:50 -0400

silo (0.9.9.0-1) unstable; urgency=low

  * Convert to using a db style source format. The silo upstream tarball
    contains some binary files that get changed during build. This makes
    it easier to contend with that fact.
  * Merged the conf check into the silo program itself. Right now it
    verifies irregardless. Next version I'll make it have an option to
    turn that off, or ignore failures.
  * This is not a new upstream. The pools setup does not allow me to do a
    new full source upload of the same version. Lucky for us, dpkg allows
    a .0 extended version to be > one without...dpkg is good for something
    :)

 -- Ben Collins <bcollins@debian.org>  Thu, 28 Dec 2000 08:32:40 -0500

silo (0.9.9-5) unstable; urgency=low

  * Fix typo in cfg.c
  * Added siloconfcheck to siloconfig

 -- Ben Collins <bcollins@debian.org>  Wed, 27 Dec 2000 16:55:50 -0500

silo (0.9.9-4) unstable; urgency=low

  * Created siloconfcheck program that validates a silo.conf file using
    the same rules (IOW, the exact same functions) used by the silo second
    stage boot loader. Helpful for validating conf files. closes: #38298

 -- Ben Collins <bcollins@debian.org>  Wed, 27 Dec 2000 12:55:09 -0500

silo (0.9.9-3) unstable; urgency=low

  * Changed priority to required, and make essential yes. There are a few
    cases (netboot) where silo isn't needed, but the thing is, we want
    people to know they might mess up their systems when removing this. So
    we force them to take that extra step.


