=== debian/control ===
Source: silo
Section: base
Priority: important
Maintainer: Ben Collins <bcollins@debian.org>
Build-Depends: e2fslibs-dev, debhelper, gcc-2.95, bzip2
Standards-Version: 3.2.1.0

Package: silo
Architecture: sparc
Depends: ${shlibs:Depends}
Replaces: sparc-utils (<< 1.8-1)
Description: Sparc Improved LOader
 Like LILO or MILO, but for SPARC.
 This is the program you need to use if you plan to boot SPARC/Linux
 via a hard drive, floppy or CDROM.  It installs to the boot block of
 your system and will allow for booting of Linux, Solaris, and SunOS.
