=== debian/rules ===
#!/usr/bin/make -f

# the dbs rules
TAR_DIR := silo-1.4.6
include debian/scripts/dbs-build.mk

build: $(STAMP_DIR)/build
$(STAMP_DIR)/build: $(STAMP_DIR)/patch
	dh_testdir
	cd $(BUILD_TREE) && $(MAKE)
	touch $(STAMP_DIR)/build

clean:
	dh_testdir
	rm -rf $(STAMP_DIR) $(SOURCE_DIR)
	perl debian/scripts/dh_split clean
	dh_clean

install: build $(dh_mak_deps)
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd $(BUILD_TREE) && $(MAKE) DESTDIR="$(shell pwd)/debian/tmp" \
		install
	install -m755 debian/local/siloconfig debian/tmp/usr/sbin/siloconfig

	dh_movefiles

binary-indep:

binary-arch: build install $(dh_mak_deps)
	dh_testdir
	dh_testroot
	dh_installdocs $(BUILD_TREE)/docs/{README{,.tilo}} $(BUILD_TREE)/first-isofs/README.SILO_ISOFS
	dh_installchangelogs $(BUILD_TREE)/ChangeLog
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
