## silo 1.4.8-1ubuntu1

=== debian/changelog ===
silo (1.4.8-1ubuntu1) hoary; urgency=low

  * Update build-deps.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 26 Jan 2005 07:19:46 +0100

silo (1.4.8-1) unstable; urgency=high

  * New upstream, really fixes initrd issues.

 -- Ben Collins <bcollins@debian.org>  Wed, 14 Jul 2004 10:35:40 -0400
