=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 # the dbs rules
-TAR_DIR := silo-1.4.6
+TAR_DIR := silo-1.4.8
 include debian/scripts/dbs-build.mk
 
 build: $(STAMP_DIR)/build
