=== debian/changelog ===
silo (1.4.9-1) unstable; urgency=low

  * Upgraded to silo 1.4.9
  * Added sparc-utils to build-deps. Closes #278126
  * Set CC to gcc-2.95

 -- Ben Collins <bcollins@debian.org>  Tue, 15 Mar 2005 09:06:46 -0500

silo (1.4.8-2) unstable; urgency=low

  * Added versioned build-dep for e2fslibs. Closes: #249335

 -- Ben Collins <bcollins@debian.org>  Wed, 14 Jul 2004 11:00:50 -0400
