=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: base
 Priority: important
 Maintainer: Ben Collins <bcollins@debian.org>
-Build-Depends: e2fslibs-dev, debhelper, bzip2
+Build-Depends: e2fslibs-dev (>= 1.28-1), debhelper, gcc-2.95, bzip2,
+	sparc-utils
 Standards-Version: 3.2.1.0
 
 Package: silo
