=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,15 @@
 #!/usr/bin/make -f
 
 # the dbs rules
-TAR_DIR := silo-1.4.8
+TAR_DIR := silo-1.4.9
 include debian/scripts/dbs-build.mk
+
+CC = "gcc-2.95 -m32"
 
 build: $(STAMP_DIR)/build
 $(STAMP_DIR)/build: $(STAMP_DIR)/patch
 	dh_testdir
-	cd $(BUILD_TREE) && $(MAKE)
+	cd $(BUILD_TREE) && $(MAKE) CC=$(CC)
 	touch $(STAMP_DIR)/build
 
 clean:
