## silo 1.4.10-0ubuntu4

=== debian/changelog ===
silo (1.4.10-0ubuntu4) dapper;  urgency=low

  * Fix timer.c for real this time.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 21 Apr 2006 07:13:36 +0200

silo (1.4.10-0ubuntu3) dapper;  urgency=low

  * Revert back to silo (1.4.10-0ubuntu1) to fix boot issue on Niagara T1.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Wed, 19 Apr 2006 12:18:06 +0200

silo (1.4.10-0ubuntu2) dapper;  urgency=low

  * Revert changes to second/timer.c introduced by mistake when adding
    support to sun4v. This also fixes a regression in silo 1.4.11
    where the timeout option in silo.conf was not respected anylonger.
    - Update patch sun4v.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Sun, 16 Apr 2006 12:10:39 +0200

silo (1.4.10-0ubuntu1) dapper;  urgency=low

  UVF breakage granted by Matt.

  * New upstream version:
    - Drop build-with-gcc4 patch.

  * Add patch to support SUN4V.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 24 Feb 2006 06:22:48 +0100

silo (1.4.9-1ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

  * Apply patch from David Miller to build with gcc4.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Tue, 25 Oct 2005 08:44:03 +0200
