=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: base
 Priority: important
 Maintainer: Ben Collins <bcollins@debian.org>
-Build-Depends: e2fslibs-dev (>= 1.28-1), debhelper, gcc-2.95, bzip2,
-	sparc-utils
+Build-Depends: e2fslibs-dev (>= 1.28-1), debhelper, bzip2, sparc-utils
 Standards-Version: 3.2.1.0
 
 Package: silo
