=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,10 @@
 #!/usr/bin/make -f
 
 # the dbs rules
-TAR_DIR := silo-1.4.9
+TAR_DIR := silo-1.4.10
 include debian/scripts/dbs-build.mk
 
-CC = "gcc-2.95 -m32"
+CC = "gcc -m32"
 
 build: $(STAMP_DIR)/build
 $(STAMP_DIR)/build: $(STAMP_DIR)/patch
