## silo 1.4.10-0ubuntu4.1

=== debian/changelog ===
silo (1.4.10-0ubuntu4.1) dapper-updates; urgency=low

  Changes by David S. Miller:

  * Fix CDROM booting on sparc64.
  (Closes Ubuntu: #40119 and duplicates)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Mon, 19 Jun 2006 06:55:54 +0200
